import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int cAns, jAns;
        for (int i = 0; i < 2; i++) {
            cAns = ouf.nextInt();
            jAns = ans.nextInt();
            if (cAns != jAns) {
                return new Outcome(Outcome.Type.WA, String.format("Position %d: expected %d, found %d", i + 1, jAns, cAns));
            }
        }
        return new Outcome(Outcome.Type.OK, "Ok");
    }
}
